Bug 18263 - Make use of syspref 'CurrencyFormat' for Account and Pay fines tables
Summary: Make use of syspref 'CurrencyFormat' for Account and Pay fines tables
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-14 13:13 UTC by Marc Véron
Modified: 2017-05-03 04:07 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18263: Make use of syspref 'CurrencyFormat' for Account and Pay fines tables (5.55 KB, patch)
2017-03-14 13:34 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18263: Make use of syspref 'CurrencyFormat' for Account and Pay fines tables (5.61 KB, patch)
2017-03-20 13:43 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 18263: Make use of syspref 'CurrencyFormat' for Account and Pay fines tables (5.68 KB, patch)
2017-03-21 11:50 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2017-03-14 13:13:18 UTC
On Home > Patrons > Accounts for... and Home > Patrons > Pay fines for..., make the amounts display as defined in syspref 'CurrencyFormat'
Comment 1 Marc Véron 2017-03-14 13:34:02 UTC
Created attachment 61066 [details] [review]
Bug 18263: Make use of syspref 'CurrencyFormat' for Account and Pay fines tables

On Home > Patrons > Accounts for... and Home > Patrons > Pay fines for...,
make the amounts display as defined in syspref 'CurrencyFormat'

To test:
- Apply patch
- Give a patron a high fine or credit (e.g. 12345.67)
- Got to pages Home > Patrons > Accounts for... and
  Home > Patrons > Pay fines
- Verify that amounts display following syspref 'CurrencyFormat'
  (e.g. 12'345.67 for syspref set to 360'000.00 (CH)
Comment 2 Mirko Tietgen 2017-03-20 13:43:57 UTC
Created attachment 61300 [details] [review]
Bug 18263: Make use of syspref 'CurrencyFormat' for Account and Pay fines tables

On Home > Patrons > Accounts for... and Home > Patrons > Pay fines for...,
make the amounts display as defined in syspref 'CurrencyFormat'

To test:
- Apply patch
- Give a patron a high fine or credit (e.g. 12345.67)
- Got to pages Home > Patrons > Accounts for... and
  Home > Patrons > Pay fines
- Verify that amounts display following syspref 'CurrencyFormat'
  (e.g. 12'345.67 for syspref set to 360'000.00 (CH)

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Comment 3 Jonathan Druart 2017-03-21 11:50:29 UTC
Created attachment 61373 [details] [review]
Bug 18263: Make use of syspref 'CurrencyFormat' for Account and Pay fines tables

On Home > Patrons > Accounts for... and Home > Patrons > Pay fines for...,
make the amounts display as defined in syspref 'CurrencyFormat'

To test:
- Apply patch
- Give a patron a high fine or credit (e.g. 12345.67)
- Got to pages Home > Patrons > Accounts for... and
  Home > Patrons > Pay fines
- Verify that amounts display following syspref 'CurrencyFormat'
  (e.g. 12'345.67 for syspref set to 360'000.00 (CH)

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2017-03-31 14:28:28 UTC
Pushed to master for 17.05, thanks Marc!
Comment 5 Katrin Fischer 2017-04-02 17:37:43 UTC
Hm, this could also be seen as an enhancement to the current views. In sake of more consistency in this part of Koha, I am pushing this to 16.11.x to be in 16.11.07.
Comment 6 Julian Maurice 2017-04-21 10:29:27 UTC
Pushed to 3.22.x for 3.22.20
Comment 7 Mason James 2017-05-03 04:07:07 UTC
Pushed to 16.05.x, for 16.05.12 release